/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.statistic;

public class ByStatusTestFactory {

	public static final int NEU_COUNT = 1;
	public static final int ANGENOMMEN_COUNT = 2;
	public static final int IN_BEARBEITUNG_COUNT = 3;
	public static final int BESCHIEDEN_COUNT = 4;
	public static final int ABGESCHLOSSEN_COUNT = 5;
	public static final int VERWORFEN_COUNT = 6;
	public static final int ZU_LOESCHEN_COUNT = 7;

	public static ByStatus create() {
		return createBuilder().build();
	}

	public static ByStatus.ByStatusBuilder createBuilder() {
		return ByStatus.builder()
				.neu(NEU_COUNT)
				.angenommen(ANGENOMMEN_COUNT)
				.inBearbeitung(IN_BEARBEITUNG_COUNT)
				.beschieden(BESCHIEDEN_COUNT)
				.abgeschlossen(ABGESCHLOSSEN_COUNT)
				.verworfen(VERWORFEN_COUNT)
				.zuLoeschen(ZU_LOESCHEN_COUNT);
	}
}